Get Piece Details
GET /pieces/{piece_id}
GET
/pieces/{piece_id}
Returns the details of a single piece, including its attributes, recipient, and sender information.
Authorizations
Section titled “Authorizations”Send your API key in the x-api-key header.
See Authentication.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” piece_id
required
string
Responses
Section titled “ Responses ”Success
object
id
integer
14460059 created_at
string format: date-time
updated_at
string format: date-time
inbox_id
integer
97599 barcode
string
0000000101 0016615290 license_plate
integer
433808312186 recipient
object
id
integer
122028 name
string
Bruce Wayne inbox_id
integer | null
97599 type
string
mailbox_folder_id
integer
0 tags
Array<string>
[ "unscanned", "read", "inbox", "stored"] attributes
Array<string>
[ "unscanned", "read", "inbox", "stored"] received_at
string format: date-time
date_arrived_in_mailbox
string format: date-time
weight_in_ounces
number
0.16 facility_name
string
page_count_estimate
integer
2 page_count_actual
integer | null
height_in_inches
number
3.9 depth_in_inches
number
0.1 length_in_inches
number
8.88 carrier
object
name
string
Unknown class
string
Unknown media
Array
object
id
string
1_1_2_0_0 url
string
content_type
string
image/jpg tags
Array<string>
[ "color", "large", "enclosure", "front"] url_valid_until
string format: date-time
file_size_in_bytes
integer
piece_id
integer | null
14460059 scan_id
integer | null
page_count
integer | null
1 sequence_number
integer | null
ocr_data
string
envelope_ocr_data
string
piece_type
string
mail piece_sub_type
string
letter insights
Array<object>
object
type
string
confidence
number
user_defined_tags
Array<object>
object
id
integer
3001 created_at
string format: date-time
updated_at
string format: date-time
label
string
Urgent parent_tag_id
integer | null
piece_counts
integer | null
12 matched_by
Array<string>
operation_action
string | null
end_user_operation_status
string | null
storage_fee_amount_in_cents
integer
can_delete_scan_only
boolean
available_actions
Array<string>
name
string
detected_checks_count
integer | null
recipient_type
string
Example
{ "created_at": "2018-07-23T21:25:52Z", "id": 14460059, "updated_at": "2018-07-23T21:25:52Z", "attributes": [ "unscanned", "read", "inbox", "stored" ], "barcode": "0000000101 0016615290", "carrier": { "class": "Unknown", "name": "Unknown" }, "depth_in_inches": 0.1, "end_user_operation_status": null, "height_in_inches": 3.9, "inbox_id": 97599, "insights": [], "length_in_inches": 8.88, "license_plate": 433808312186, "mailbox_folder_id": 0, "media": [ { "content_type": "image/jpg", "id": "1_1_2_0_3", "tags": [ "color", "medium", "enclosure", "front" ], "url": "https://media.earthclassmail.com/...", "url_valid_until": "2018-09-12T22:04:36Z", "page_count": 1, "piece_id": 14460059 } ], "ocr_data": "", "operation_action": null, "page_count_actual": null, "page_count_estimate": 2, "piece_sub_type": "letter", "piece_type": "mail", "received_at": "2018-07-23T21:25:52Z", "recipient": { "id": 122028, "inbox_id": 97599, "name": "Bruce Wayne" }, "sender": null, "tags": [ "unscanned", "read", "inbox", "stored" ], "user_defined_tags": [], "weight_in_ounces": 0.16}The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.
Error envelope returned with 4xx and 5xx responses.
object
error
object
code
Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.
integer
401 message
Human-readable description of the error.
string
type
The kind of error, for example Authorization or REST.
string
REST fields
Returned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.
object
key
additional properties
Array<string>
Examples
{ "error": { "code": 401, "message": "The request does not include a valid access token. Please provide a valid access token.", "type": "Authorization" }}{ "error": { "code": 401, "message": "x-api-key: x-api-key is invalid", "type": "REST" }}{ "error": { "code": 401, "message": "User does not have access to requested resource.", "type": "Authorization" }}